EDIT - bug #8955

After saving a taxon the taxon navigator scrolls the taxon to the bottom
04/16/2020 03:49 PM - Andreas Mdller

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: major Found in Version:

Description

NaK:

Hat man ein Taxon-Fenster geschlossen, verschiebt sich der Baum so, dass dieses Taxon ganz unten in der Ansicht ist. Das war
friher nicht so, da blieb der Baum so, wie man ihn gedffnet hatte. Man muss also jedes Mal, bevor man ein neues Taxon-Fenster
6ffnen kann, erstmal scrollen, weil man ja meist alphabetisch eine Liste durchgeht und das nachste zu bearbeitende Taxon unter
dem ist, welches man eben bearbeitet hat.

NaK:

das Problem, dass der Baum sich verschiebt passiert beim Speichern, nicht beim SchlieBen des Fensters, ich habe das eben ein
paar mal ausprobiert.

AM:
Ja, das kann ich nachvollziehen. Es passiert nach dem Updaten des Baums nach einem Save-Vorgang. Dabei darf sich die Position

des Baumes eigentlich natirlich nicht verschieben, obwohl das in gewissen Fallen nicht trivial ist, also insbesondere dann, wenn sich
in der Baumstruktur was geéndert, was der Grund dafir sein kdnnte, dass es zum Veschieben kommt. Das weif3 Katja besser.

Related issues:

Related to EDIT - bug #8797: Navigator tree collapse after moving taxon node Closed
Related to EDIT - bug #5670: Refresh of Taxon Navigator Closed
History

#1 - 04/16/2020 05:47 PM - Andreas Miiller

- Related to bug #8797: Navigator tree collapse after moving taxon node added

#2 - 04/20/2020 11:01 AM - Andreas Kohlbecker

- Subject changed from After saving a taxon the taxon navigator scrolls is scrolls the taxon to the bottom to After saving a taxon the taxon navigator
scrolls the taxon to the bottom

#3 - 04/22/2020 10:29 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#4 - 12/04/2020 09:06 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#5 - 01/27/2021 04:43 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#6 - 03/10/2021 02:47 PM - Andreas Miller

- Target version changed from Release 5.21 to Release 5.22

#7 - 03/18/2021 05:57 PM - Andreas Miiller
- Related to bug #5670: Refresh of Taxon Navigator added

#8 - 03/19/2021 09:18 AM - Andreas Mdiller
- Priority changed from New to Highest

AM:

ist eigentlich schon implementiert, dass der Navigator bei NameEditor-Save nur aktualisieren muss, wenn der Knoten-Label das Taxons sich
geédndert hat? Das scheint noch nicht zu funktionieren.

Ich habe #8955 mit Silene arguta aus rem_conf_am/Auch eine Klassification getestet, in dem ich das Synonym umbenannt habe. Eigentlich sollte da
gar nichts passieren.

Aber trotzdem kommt es zu der Wartezeit nach dem Save (bei bereits geléschtem Dirty Flag) und v.a. springt der Navigator zum Parent-Knoten und
das bearbeitete Taxon verschwindet ganz aus dem Sichtfeld, was sehr unschon ist.

Bei Anderung des Namens ist ein Refresh natirlich nicht zu vermeiden. Aber auch da ware es gut, wenn der Navigator nicht wegscrollt bzw. zu dem

ausgewahlten Taxon hinscrollt. Aber dazu gibt es ja auch das Ticket oben, welches durch #5670 noch nicht gefixt zu sein scheint (was ich erst gehofft
hatte).

#9 - 04/19/2021 05:18 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46

#10 - 04/20/2021 12:19 PM - Andreas Miiller

- Severity changed from normal to major

#11 - 04/20/2021 12:19 PM - Andreas Miiller

- Tags set to performance
